VMware player törött csomag leszedése(MEGOLDVA!)

 ( anthony_ | 2007. augusztus 19., vasárnap - 16:58 )

Sziasztok!

Ma megpróbáltam feltenni VMware player 2.0-ás változatát.Egy rpm csomagot
konvertáltam alien-el de amikor megpróbáltam felrakni akkor hibát
jelzett.Szerettem volna kijavítani vagy eltávolítani a törött csomagot de nem
engedi ezt írja synaptic,dselect,apt-get,aptitude-re is

Etch:/home/anthony# dpkg --remove vmwareplayer
dpkg: hibás feldolgozás: vmwareplayer (--remove):
A csomag nagyon rossz, következetlen állapotban van
telepítsd újra mielőtt eltávolítod.
Hibák történtek a feldolgozáskor:
vmwareplayer
Etch:/home/anthony#

dpkg: hibás feldolgozás: vmwareplayer (--remove):
A csomag nagyon rossz, következetlen állapotban van
telepítsd újra mielőtt eltávolítod.
Hibák történtek a feldolgozáskor:
vmwareplayer
E: Sub-process /usr/bin/dpkg returned an error code (1)
Nem sikerült telepíteni egy csomagot. Helyreállítás megkisérlése:
Üss enter-t a folytatáshoz

dpkg: hibás feldolgozás: vmwareplayer (--purge):
A csomag nagyon rossz, következetlen állapotban van
telepítsd újra mielőtt eltávolítod.
Hibák történtek a feldolgozáskor:
vmwareplayer
E: Sub-process /usr/bin/dpkg returned an error code (1)
Nem sikerült telepíteni egy csomagot. Helyreállítás megkisérlése:
Üss enter-t a folytatáshoz

Hiába próbálom újra telepíteni azt se engedi!Tudnátok segíteni abban hogyan
tudom
ezt a csomagot "fájdalommentesen"törölni a rendszeremből?Valszaitokat
előre is köszi!
Etch 2.6.18-as smp gyári kernel.

Üdv:anthony_

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Mi a hibaüzenet, amikor próbálod újratelepíteni?

--
trey @ gépház

Szia trey!

E: A(z) vmwareplayer csomagot újra kell telepíteni, de nem találok archívumot hozzá.
E: Belső hiba a gyorsítótár megnyitása közben (1). Kérem jelentse.
(synaptic)
Köszi a segítséget!
-------------------------------------------------------------
Etch 2.6.18-4-686 #1 SMP Intel Pentium 4 CPU 3.20GHz stepping

Inkább a

dpkg -i csomagnev.deb

kimenete érdekelne.

--
trey @ gépház

Etch:/home/anthony# dpkg -i vmwareplayer_2.0.0-45732_i386.deb
dpkg: hibás feldolgozás: vmwareplayer_2.0.0-45732_i386.deb (--install):
az archívum nem elérhető: Nincs ilyen fájl vagy könyvtár
Hibák történtek a feldolgozáskor:
vmwareplayer_2.0.0-45732_i386.deb
Etch:/home/anthony#

-------------------------------------------------------------
Etch 2.6.18-4-686 #1 SMP Intel Pentium 4 CPU 3.20GHz stepping

Sikerült ez a csomagot jól elszabni. Nézd meg zellet post-ját lejjebb. Addig kell eljutni, hogy lehessen hiba nélkül telepíteni. Ha az sikerül, akkor le is fog jönni.

--
trey @ gépház

ubuntu repobol at lehet emelni szerintem


Nekem mindig igazam van, ha nem, akkor nincs igazam, szoval megint igazam van hogy nincs igazam.
debian 4.0 - linux-2.6.22.3-pancs1-wifi1 - 2.6.22.3 kernel madwifivel itt

Köszi próbálom kukucskálni!Sas kolléga úrtól kaptam egy ilyen parancsot
--forece-remove-reinstreq de ez se szedi le.

-------------------------------------------------------------
Etch 2.6.18-4-686 #1 SMP Intel Pentium 4 CPU 3.20GHz stepping

MInt írtam, a pre/postinstall scriptek, ha nem futnak le, vagy nem jól, akkor történik ilyen kavar. A konvertált cuccban lehet, hogy ezek a scriptek hibára futnak, de rossz visszatérési értékkel szállnak ki, stb. (Lehet, hogy az eredeti is f0sch, de ez más kérdés, az mc-vel simán bele tudsz mászni a csomag belsejébe, és kimásolni a scripteket F5-tel)). Ezeket kell megnézni, aztán eldönteni, hogy install, vagy sima felmásolás és a scriptek lényegének kézimunkázása.

A javítás hogyanja-mikéntje meg eztán jöhet: worst case kézzel kivakarni a telepített cuccok listájából, jobb esetben meg egy újracsomagtolás (helyrerakott, vagy akár kihagyott, pontosabban egy true-t tartalmazó scriptekkel), és azt force-szal feltol, majd leszed.

Ki kell kommentezni mindent (amíg még működik) a pre, post scriptekből a vérbe, aztán jó lesz. :)

--
trey @ gépház

Workaround:
Nézz bele az eredeti rpm és az abból (de)generált deb csomagba (mc rulez), és a pre- postinstall, illetve uninstall scriptet vizslasd meg, mit csinál(ná)nak, mert jó eséllyel ott lesz valami eltolva.

Találltam egy ilyet az istall-ba
WARNING
Don't use this method if you are not willing to reinstall everything...

This is not a real file. It is a way to install the package you are browsing.

To install this package go back to the panel and press Enter on this file.

In Debian systems, a package is automatically upgraded when you install a new
version of it. There is no special upgrade option. Install always works.
-------------------------------------------------------------
Etch 2.6.18-4-686 #1 SMP Intel Pentium 4 CPU 3.20GHz stepping

Köszönöm treynek zellernek és a többieknek a probléma megoldva!
Legyártattam még1szer az aliennel csak mostmár hozzáugrott a --scripts paraméter!
És csodák-csodája jó lett!
Mégegyszer thenx!

Üdv:anthony_
-------------------------------------------------------------
Etch 2.6.18-4-686 #1 SMP Intel Pentium 4 CPU 3.20GHz stepping